%define sname		qlipper
%define version		5.0.0
%define release		%mkrel 1


Name:			%{sname}2
Version:		%{version}
Release:		%{release}
Summary:		QT Clipboard Tool
URL:			https://gitorious.org/qlipper/qlipper2
Group:			System/Utility
License:		GPLv2
Source:			%{sname}-master.tar.xz
BuildRequires: 		%{_lib}qt4-devel
Requires:		python-qt4-core
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Obsoletes:		%sname < %version

%description
Lightweight and cross-platform clipboard history applet.

This application is a part of QtDesktop project and is improved version of original Qlipper 
which is available only as a download from qt-apps.org.

%prep
%setup -q -n %sname-master

%build
cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RelWithDebInfo

%make

%install
rm -rf %{buildroot}

#install -Dm 755 -p %sname $RPM_BUILD_ROOT/%_bindir/%sname
%{makeinstall} DESTDIR=%{buildroot}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc COPYING README
%_bindir/%sname
%{_datadir}/applications/%{sname}.desktop
%{_datadir}/%{sname}/translations/qlipper_*.qm
%{_iconsdir}/hicolor/*/apps/%{sname}.png

%changelog
* Mon Mar 27 2017 adrianomorselli <adrianomorselli> 5.0.0-1uplos2017
- update
